Summary:Ncurses based UP traffic monitoring
Summary(ja):Ncurses ベースのトラフィック・モニタ
Name: trafshow
Version: 1.3
Release: 5vl3
License: GPL2
Group: Applications/Internet
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/management/trafshow-1.3.tar.gz
Patch0: trafshow-1.3-glibc.patch
Patch1: trafshow-1.3-config.patch
Buildroot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}
Vendor: Project Vine
Distribution: Vine Linux

%description
Ncurses based UP traffic monitoring

%description -l ja
ncurses ベースのネットワーク・トラフィックモニタです。

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
make clean
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{/usr/bin,%{_mandir}/man1}
install -s -m 4711 trafshow %{buildroot}/usr/bin
install -m 644 trafshow.1 %{buildroot}%{_mandir}/man1

# prepare applnk

%define applnkdir /etc/X11/applnk/Administration
mkdir -p %{buildroot}/%{applnkdir}
cat > %{buildroot}/%{applnkdir}/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Type=Administration
Comment=Network Traffic Monitor
Comment[ja]=ネットワーク・トラフィック・モニタ
Exec=kterm -e trafshow
Terminal=false
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING TODO
%config(missingok) %{applnkdir}/%{name}.desktop
/usr/bin/trafshow
%{_mandir}/man1/trafshow.1*

%changelog
* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 1.3-5vl3
- install man pages into %%{_mandir}
- ExclusiveArch: %%{ix86} instead of i386

* Thu Sep 21 2000 Jun Nishii <jun@vinelinux.org>
- 1.3-5vl2
- tiny fix of spec file
- use applink instead of wmconfig
- build for Vine Linux 2.1

* Sat Jan 22 2000 Jun Nishii <jun@vinelinux.org>
- build for Vine Linux 2.0

* Sun Jun  7 1998 Alexey Nogin <ayn2@cornell.edu>

- wmconfig should be %config'ed

* Sun May  3 1998 Alexey Nogin <ayn2@cornell.edu>

- added BuildRoot directive
- added man page to binary RPM
- added trafshow wmconfig file

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>

- made exclusive to i386 -- there is asm code in there

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>

- added changelog
- fixed src url
- updated version

